Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7103 - topological sort for queries
Summary: topological sort for queries
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-18 16:57 UTC by kestes
Modified: 2007-04-18 16:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-28 19:46:21 UTC


Attachments (Terms of Use)

Description kestes 1999-11-18 16:57:10 UTC
It would be very helpful if 'rpm -qa' (and all queries)
would return the packages in a topological order.
That is the list  of package would come back
in an order which is valid for installing.
The order would respect the dependencies implicit
in the packages.

Comment 1 Stephen John Smoogen 2003-01-23 23:16:59 UTC
Is this practical to do inside of RPM or creating a helper program that uses
rpmlib or similar tools?

Comment 2 Jeff Johnson 2003-01-24 13:46:04 UTC
This is doable ina any number of ways, but, since
it's a FAQ, needs to be done on the CLI too.

Comment 3 Jeff Johnson 2004-10-28 19:46:21 UTC
Implemented in rpm-4.4, packages available at
    ftp://ftp.jbj.org/pub/rpm-4.4


Note You need to log in before you can comment on or make changes to this bug.